> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve user data

> Get User Data in the project. These scripts can be used to configure servers with user data.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /user_data/{user_data_id}
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /user_data/{user_data_id}:
    get:
      tags:
        - User data
      summary: Retrieve user data
      description: >
        Get User Data in the project. These scripts can be used to configure
        servers with user data.
      operationId: get-user-data
      parameters:
        - name: user_data_id
          in: path
          required: true
          examples:
            Success:
              value: ud_MLGXPdWgdnNWk
          schema:
            type: string
        - name: extra_fields[user_data]
          in: query
          schema:
            type: string
            default: decoded_content
          description: >-
            The `decoded_content` is provided as an extra attribute that shows
            content in decoded form.
          examples:
            Success:
              value: decoded_content
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: ud_MLGXPdWgdnNWk
                      type: user_data
                      attributes:
                        description: >-
                          Three egg whites with spinach, mushrooms, caramelized
                          onions, tomatoes and low-fat feta cheese. With herbed
                          quinoa, and your choice of rye or whole-grain toast.
                        content: >-
                          VHdvIGJ1dHRlcm1pbGsgd2FmZmxlcywgdG9wcGVkIHdpdGggd2hpcHBlZCBjcmVhbSBhbmQgbWFwbGUgc3lydXAsIGEgc2lkZSBvZiB0d28gZWdncyBzZXJ2ZWQgYW55IHN0eWxlLCBhbmQgeW91ciBjaG9pY2Ugb2Ygc21va2VkIGJhY29uIG9yIHNtb2tlZCBoYW0u
                        created_at: '2026-01-14T15:57:11+00:00'
                        updated_at: '2026-01-14T15:57:11+00:00'
                        decoded_content: >-
                          Two buttermilk waffles, topped with whipped cream and
                          maple syrup, a side of two eggs served any style, and
                          your choice of smoked bacon or smoked ham.
                        project:
                          id: proj_pbV0DgkzD4AWz
                          name: Sleek Iron Wallet
                          slug: sleek-iron-wallet
                          description: Small Silk Shoes
                          provisioning_type: on_demand
                          billing_type: Normal
                          billing_method: Normal
                          bandwidth_alert: false
                          environment: null
                          billing: {}
                          stats:
                            databases: 0
                            ip_addresses: 0
                            prefixes: 0
                            servers: 0
                            storages: 0
                            virtual_machines: 0
                            vlans: 0
                    meta: {}
              schema:
                $ref: '#/components/schemas/user_data_object'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.user_data.get_user_data(user_data_id="ud_MLGXPdWgdnNWk", extra_fields_user_data="decoded_content")

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.UserData.Retrieve(ctx, \"ud_MLGXPdWgdnNWk\", latitudeshgosdk.Pointer(\"decoded_content\"))\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.UserDataObject != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.userData.retrieve({
                userDataId: "ud_MLGXPdWgdnNWk",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    user_data_object:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/user_data_properties'
        meta:
          type: object
    user_data_properties:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - user_data
        attributes:
          type: object
          properties:
            description:
              type: string
              description: description of the User Data
            content:
              type: string
              description: content of the User Data
            project:
              $ref: '#/components/schemas/project_include'
            created_at:
              type: string
            updated_at:
              type: string
      required:
        - type
    project_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        billing_type:
          type: string
          nullable: true
        provisioning_type:
          type: string
          nullable: true
        billing_method:
          type: string
          nullable: true
        bandwidth_alert:
          type: boolean
        environment:
          type: string
          nullable: true
        billing:
          type: object
          properties:
            subscription_id:
              type: string
              nullable: true
            type:
              type: string
            method:
              type: string
        stats:
          type: object
          properties:
            ip_addresses:
              type: integer
            prefixes:
              type: integer
            servers:
              type: integer
            vlans:
              type: integer
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````